
/*
 * *****************************************************************************************
 *
 * 		Copyright (C) 2014-2020 Gowin Semiconductor Technology Co.,Ltd.
 * 		
 * @file		main.c
 * @author		Embedded Development Team
 * @version		V1.0.0
 * @date		2020-5-1 09:00:00
 * @brief		Main program body.
 ******************************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "gw1ns4c.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/* declarations ------------------------------------------------------------------*/
void Delay(__IO uint32_t nCount);
void UartInit(void);

int main(void)
{
	SystemInit();
	GPIO0->OUTENSET = 0xffffffff;
	UartInit();

	printf("\r\n-----------------------------------------------------------\r\n");
	printf("                      GowinSemiconductor                       \r\n");
	printf("-----------------------------------------------------------\r\n");

	printf("\r\n-----------------------------------------------------------\r\n");
	printf("                  Gowin_EMPU(GW1NS-4C) Demo                \r\n");
	printf("-----------------------------------------------------------\r\n");
	printf("\r\n");

	while(1)
	{
	   GPIO_SetBit(GPIO0,GPIO_Pin_1|GPIO_Pin_2|GPIO_Pin_3);
	   GPIO_ResetBit(GPIO0,GPIO_Pin_0);
	   printf("LED1 : Hello World!\r\n");
	   Delay(800000);

	   GPIO_SetBit(GPIO0,GPIO_Pin_0|GPIO_Pin_2|GPIO_Pin_3);
	   GPIO_ResetBit(GPIO0,GPIO_Pin_1);
	   printf("LED2 : Hello World!\r\n");
	   Delay(800000);

	   GPIO_SetBit(GPIO0,GPIO_Pin_1|GPIO_Pin_0|GPIO_Pin_3);
	   GPIO_ResetBit(GPIO0,GPIO_Pin_2);
	   printf("LED3 : Hello World!\r\n");
	   Delay(800000);

	   GPIO_SetBit(GPIO0,GPIO_Pin_1|GPIO_Pin_2|GPIO_Pin_0);
	   GPIO_ResetBit(GPIO0,GPIO_Pin_3);
	   printf("LED4 : Hello World!\r\n");
	   Delay(800000);
	}
}

void UartInit(void)
{
  UART_InitTypeDef UART_InitStruct;

  UART_InitStruct.UART_Mode.UARTMode_Tx = ENABLE;
  UART_InitStruct.UART_Mode.UARTMode_Rx = ENABLE;
  UART_InitStruct.UART_Int.UARTInt_Tx = DISABLE;
  UART_InitStruct.UART_Int.UARTInt_Rx = DISABLE;
  UART_InitStruct.UART_Ovr.UARTOvr_Tx = DISABLE;
  UART_InitStruct.UART_Ovr.UARTOvr_Rx = DISABLE;
  UART_InitStruct.UART_Hstm = DISABLE;
  UART_InitStruct.UART_BaudRate = 19200;//Baud Rate
	
  UART_Init(UART0,&UART_InitStruct);
}

void Delay(__IO uint32_t nCount)//25M 1s = 8333000
{
	for(; nCount != 0; nCount--);
}
